﻿
/* login-style.css */

:root {
    --brand-blue: #202080;
    --brand-gold: #C6B393;
    --input-bg: #C9CEC9;
    --text-dark: #333;
}



body.login-page {
    background-color: var(--brand-blue);
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'GE Dinar One', sans-serif;
    margin: 0;
}



.login-card {
    background-color: #ffffff;
    border-radius: 25px;
    padding: 50px 40px;
    width: 100%;
    max-width: 420px;
    box-shadow: 0px 15px 35px rgba(0, 0, 0, 0.3);
}



.brand-logo {
    width: 120px;
    margin-bottom: 15px;
}



.brand-title {
    color: var(--brand-blue);
    font-weight: 800;
    font-family: 'GE Dinar One';
    font-size: 1.6rem;
    margin-bottom: 2px;
}



.brand-subtitle {
    color: var(--brand-blue);
    font-size: 1.1rem;
    letter-spacing: 1px;
    margin-bottom: 30px;
}



.portal-label {
    font-weight: 700;
    margin-bottom: 25px;
    font-family: 'GE Dinar One';
    color: #000;
}



/* تعديل حقول الإدخال (Bootstrap Overwrite) */

.login-card .form-control {
    background-color: var(--input-bg) !important;
    border: none !important;
    border-radius: 12px !important;
    padding: 12px 20px !important;
    text-align: center;
    color: var(--text-dark) !important;
    font-weight: 500;
    margin-bottom: 20px;
}



    .login-card .form-control:focus {
        box-shadow: 0 0 0 0.25rem rgba(198, 179, 147, 0.25) !important;
        background-color: #dee2de !important;
    }



/* تعديل الزر الذهبي (Bootstrap Overwrite) */

.btn-brand {
    background-color: var(--brand-gold) !important;
    color: #ffffff !important;
    border: none !important;
    border-radius: 12px !important;
    padding: 10px 50px !important;
    font-weight: 600;
    font-size: 1.1rem;
    transition: all 0.3s ease;
    font-family: 'GE Dinar One';
}



    .btn-brand:hover {
        background-color: #b5a182 !important;
        transform: translateY(-2px);
        color: #fff !important;
    }

